Subject: Re: bug#25443: Unnecessary building of dictionary files

From: Richard Stallman <[email-masked]>
Date: Tue, 17 Jan 2017 09:55:54 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I find myself in the bizarre position of suggesting that you haven't
  > read the GPL properly...

Before asserting that someone experienced is totally confused,
I suggest you double-check your own reasoning.

  > The "source" files in question are no longer distributed.

It is premature to put quotes around "source".  You are arguing that
we have the option of making something else the real source code,
but we haven't done so yet.  At present, those files are the source code.

You say they are "no longer distributed".  That can't be entirely true,
since the GNU Project does still distribute them.

Would you please lay out the facts that you are talking about?
Pressuring for a particular decision is not being helpful.
Please show us the situation clearly so we can see what is right to do.

  > The "source" files in question are no longer distributed. So, any future
  > changes would have to come from the emacs developers. If we decided that
  > the .el files are the place to make these changes, then, they become the
  > "preferred form for modification". They become "the real source". I see
  > nothing in the GPL that prevents us from making this change.

In principle, that is a possible option.  Whether it is a good idea
is another question.

There is no grave problem here.  Let's see what Handa-san says
about this technical question.

  > Unless you mean "an obligation" in some sense other than "because of the
  > GPL".

Anyone distributing software has a moral obligation to distribute the
real souce code.

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.